Subject: [bug#51775] Rebased wip-pinebook-pro branch

From: Vagrant Cascadian <[email-masked]>
Date: Tue, 16 Nov 2021 15:22:15 -0800

On 2021-11-16, Efraim Flashner wrote:
> On Thu, Nov 11, 2021 at 09:30:09PM -0800, Vagrant Cascadian wrote:
>> What guix master branch does lack is decent documentation for the
>> pinebook-pro; there is a system image configuration but I have not tried
>> it out so cannot speak to how well it works.

> The pinebook pro boots from the SD card first if it's present, right? I
> have one sitting next to me, I can take some time and build an image and
> test it out.

Pretty sure the hard-coded bootrom boot order is SPI -> eMMC -> microSD
-> ... other stuff

So it depends on what else you have installed. I've never installed
u-boot to SPI and yanked the eMMC to keep updates easier to fix when
regressions happen; the u-boot loaded from microSD boots off of NVMe
nicely...

live well,
  vagrant